<?php
/**
 * The header for our theme
 *
 * @subpackage Medical Insight
 * @since 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
	if ( function_exists( 'wp_body_open' ) ) {
	    wp_body_open();
	} else {
	    do_action( 'wp_body_open' );
	}
?>
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'medical-insight' ); ?></a>

	<?php if( get_theme_mod('medical_care_theme_loader',true) != ''){ ?>
		<div class="preloader">
			<div class="load">
		  		<hr/><hr/><hr/><hr/>
			</div>
		</div>
	<?php }?>

	<div id="page" class="site">
		<div id="header">
			<div class="wrap_figure">
				<div class="container">
					<div class="row">
						<div class="col-lg-3 col-md-3">
							<div class="links text-center text-lg-left text-md-left">
								<?php if( get_theme_mod('medical_insight_facebook') != ''){ ?>
									<a href="<?php echo esc_url(get_theme_mod('medical_insight_facebook','')); ?>"><i class="fab fa-facebook-f mr-3"></i></a>
								<?php }?>
								<?php if( get_theme_mod('medical_insight_twitter') != ''){ ?>
									<a href="<?php echo esc_url(get_theme_mod('medical_insight_twitter','')); ?>"><i class="fab fa-twitter mr-3"></i></a>
								<?php }?>
								<?php if( get_theme_mod('medical_insight_youtube') != ''){ ?>
									<a href="<?php echo esc_url(get_theme_mod('medical_insight_youtube','')); ?>"><i class="fab fa-youtube mr-3"></i></a>
								<?php }?>
								<?php if( get_theme_mod('medical_insight_instagram') != ''){ ?>
									<a href="<?php echo esc_url(get_theme_mod('medical_insight_instagram','')); ?>"><i class="fab fa-instagram mr-3"></i></a>
								<?php }?>
							</div>
						</div>
						<div class="col-lg-9 col-md-9">
							<div class="topbar_links text-center text-lg-right text-md-right">
							   	<?php if( get_theme_mod('medical_insight_link1') != '' || get_theme_mod('medical_insight_text1') != ''){ ?>
									<a href="<?php echo esc_url(get_theme_mod('medical_insight_link1','')); ?>"><?php echo esc_html(get_theme_mod('medical_insight_text1','')); ?></a><span> | </span>
								<?php }?>
								<?php if( get_theme_mod('medical_insight_link2') != '' || get_theme_mod('medical_insight_text2') != ''){ ?>
									<a href="<?php echo esc_url(get_theme_mod('medical_insight_link2','')); ?>"><?php echo esc_html(get_theme_mod('medical_insight_text2','')); ?></a><span> | </span>
								<?php }?>
								<?php if( get_theme_mod('medical_insight_link3') != '' || get_theme_mod('medical_insight_text3') != ''){ ?>
									<a href="<?php echo esc_url(get_theme_mod('medical_insight_link3','')); ?>"><?php echo esc_html(get_theme_mod('medical_insight_text3','')); ?></a>
								<?php }?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="menu_box py-3">
				<div class="container">
					<div class="row">
						<div class="col-lg-3 col-md-3 col-sm-3 col-8">
							<div class="logo">
						        <?php if ( has_custom_logo() ) : ?>
				            		<?php the_custom_logo(); ?>
					            <?php endif; ?>
				              	<?php $blog_info = get_bloginfo( 'name' ); ?>
				              		<?php if( get_theme_mod('medical_care_logo_title',true) != '' ){ ?>
						                <?php if ( ! empty( $blog_info ) ) : ?>
						                  	<?php if ( is_front_page() && is_home() ) : ?>
						                    	<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						                  	<?php else : ?>
					                      		<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
					                  		<?php endif; ?>
						                <?php endif; ?>
						            <?php }?>
				                	<?php
				                  		$description = get_bloginfo( 'description', 'display' );
					                  	if ( $description || is_customize_preview() ) :
					                ?>
					                <?php if( get_theme_mod('medical_care_logo_text',true) != '' ){ ?>
					                  	<p class="site-description">
					                    	<?php echo esc_attr($description); ?>
					                  	</p>
					                <?php } ?>
				              	<?php endif; ?>
						    </div>
						</div>
						<div class="col-lg-9 col-md-9 col-sm-9 col-4">
							<?php if(has_nav_menu('primary')){ ?>
								<div class="toggle-nav text-center py-2">
									<button role="tab"><?php esc_html_e('MENU','medical-insight'); ?></button>
						        </div>
							<?php }?>
							<?php get_template_part('template-parts/navigation/navigation'); ?>
						</div>
					</div>
				</div>
			</div>
		</div>