<?php
/**
 * Template Name: Custom Home Page
 */
get_header(); ?>

<main id="content"> 
  <?php if( get_theme_mod('medical_care_slider_arrows') != ''){ ?>  
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
        <?php
          for ( $i = 1; $i <= 4; $i++ ) {
            $mod =  get_theme_mod( 'medical_care_post_setting' . $i );
            if ( 'page-none-selected' != $mod ) {
              $slide_pages[] = $mod;
            }
          }
           if( !empty($slide_pages) ) :
          $args = array(
            'post_type' =>array('post','page'),
            'post__in' => $slide_pages
          );
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $i = 1;
        ?>
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <img src="<?php esc_url(the_post_thumbnail_url('full')); ?>"/>
            <div class="carousel-caption">
              <div class="inner_carousel">
                <h2><?php the_title();?></h2>
                <p class="text-left"><?php echo esc_html(wp_trim_words(get_the_content(),'20') );?></p>
                <div class="getstarted-btn">
                  <a href="<?php the_permalink(); ?>" class="blogbutton-small" title="<?php esc_attr_e( 'Make an appointment', 'medical-insight' ); ?>"><?php esc_html_e('Make an appointment','medical-insight'); ?></a>
                </div>
              </div>
            </div>
          </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
        <div class="no-postfound"></div>
          <?php endif;
        endif;?>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          </a>
      </div> 
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <?php if( get_theme_mod('medical_insight_middle_sec_page_settigs') != '' || get_theme_mod('medical_insight_middle_sec_settigs1') != ''){ ?>
    <section id="middle-sec" class="py-5">
      <div class="container">
        <div class="middle-sec-inner">
          <div class="row">
            <div class="col-lg-4 col-md-4">
              <h6 class="pb-3"><?php echo esc_html( get_theme_mod('medical_insight_about_title')); ?></h6>
              <?php
                $mod =  get_theme_mod( 'medical_insight_middle_sec_page_settigs' );
                if ( 'page-none-selected' != $mod ) {
                  $medical_insight_page[] = $mod;
                }
                if( !empty($medical_insight_page) ) :
                $args = array(
                  'post_type' =>'page',
                  'post__in' => $medical_insight_page
                );
                $query = new WP_Query( $args );
                if ( $query->have_posts() ) :
              ?>
              <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
                <div class="middle-sec-box">
                  <h3 class="pb-3"><?php the_title();?></h3>
                  <p class="pb-3"><?php echo esc_html(wp_trim_words(get_the_content(),'40') );?></p>
                  <a href="<?php the_permalink(); ?>"><?php esc_html_e('Service More','medical-insight'); ?><i class="fas fa-long-arrow-alt-right ml-2"></i></a>
                </div>
              <?php endwhile;
              wp_reset_postdata();?>
              <?php else : ?>
              <div class="no-postfound"></div>
                <?php endif;
              endif;?>
            </div>
            <div class="col-lg-8 col-md-8">
              <div class="row"> 
                <?php
                  for ( $medical_insight_s = 1; $medical_insight_s <= 4; $medical_insight_s++ ) {
                    $post_mod =  get_theme_mod( 'medical_insight_middle_sec_settigs'.$medical_insight_s );
                    
                    if ( 'post-none-selected' != $post_mod ) {
                      $medical_insight_post[] = $post_mod;
                    }
                  }
                   if( !empty($medical_insight_post) ) :
                  $args = array(
                    'post_type' =>'post',
                    'post__in' => $medical_insight_post
                  );
                  $post_query = new WP_Query( $args );
                  if ( $post_query->have_posts() ) :
                    $medical_insight_m = 1;
                ?>
                <?php while ( $post_query->have_posts() ) : $post_query->the_post(); ?>
                  <div class="col-lg-6 col-md-6 pl-lg-0 pl-md-0">
                    <div class="mid-inner-box p-3 mb-3">                      
                      <h4 class="pb-3"><i class="<?php echo esc_attr(get_theme_mod('medical_insight_mid_section_icon'.$medical_insight_m)); ?>
                      mr-2"></i><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h4>
                      <p><?php echo esc_html(wp_trim_words(get_the_content(),'10') );?></p>
                    </div>
                  </div>
                <?php $medical_insight_m++; endwhile;
                wp_reset_postdata();?>
                <?php else : ?>
                <div class="no-postfound"></div>
                  <?php endif;
                endif;?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  <?php }?>

  <div id="our-services">
    <div class="container">
      <?php if( get_theme_mod('medical_care_our_services_subtitle') != ''){ ?>
        <strong><?php echo esc_html(get_theme_mod('medical_care_our_services_subtitle','')); ?></strong>
      <?php }?>
      <?php if( get_theme_mod('medical_care_our_services_title') != ''){ ?>
        <h3><?php echo esc_html(get_theme_mod('medical_care_our_services_title','')); ?></h3>
      <?php }?>
      
      <div class="row">
        <?php
        $catData1=  get_theme_mod('medical_care_category_setting');if($catData1){
        $page_query = new WP_Query(array( 'category_name' => esc_html($catData1 ,'medical-insight')));?>
          <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>  
            <div class="col-lg-4 col-md-4">
              <div class="box">
                <?php the_post_thumbnail(); ?>
                <div class="box-content">
                  <a href="<?php the_permalink(); ?>"><h4><?php the_title();?></h4></a>
                  <p><?php echo esc_html(wp_trim_words(get_the_content(),'15') );?></p>
                </div>
                <div class="box-button">
                  <a href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','medical-insight');?></a>
                </div>
              </div>
            </div>
          <?php endwhile;
          wp_reset_postdata();
        }?>
      </div>
      <div class="clearfix"></div>
    </div>
  </div>

</main>

<?php get_footer(); ?>